#include <limits.h>

#include "Arduino.h"

unsigned long time_zero;
unsigned long time_zero_wrapped;

void reset_sched_time(void)
{
	time_zero = micros();
	time_zero_wrapped = (ULONG_MAX - time_zero) + 1;
}

void sched_time_shift_by(unsigned long delta)
{
	time_zero += delta;
	time_zero_wrapped = (ULONG_MAX - time_zero) + 1;
}

