#ifndef IO_HELPER_H
#define IO_HELPER_H

bool cat(String fname);
unsigned long count_lines(File &file);
void skip_lines(File &file, byte how_many);
bool parse_value(File &file, unsigned long &val, char stop_char);
bool parse_2tuple(File &file, unsigned long &val1, unsigned long &val2);
bool parse_3tuple(File &file,
	unsigned long &val1, unsigned long &val2, unsigned long &val3);

void note(const char* msg);
void note(const String &msg);
void note(const __FlashStringHelper *msg);

#endif
