#include "Arduino.h"

#include "overheads.h"
#include "jobs.h"


void run_job(job_t the_job, unsigned long min_duration)
{
	unsigned long start = micros(), end;

	/* calculate for how long we should run */
	end = start + min_duration;
	/* actually run the job */
	the_job();
	/* if the job finished early, let's spin the rest of the time */
	while (micros() + MICROS_TIME < end)
		/* do nothing */;
}
